program prvni;

uses Classes;

const kolik = 10;

type
  Textar = class(TThread)
    private
      txt: string;
    public
      constructor Create(_txt: string);
      procedure Execute; override;
  end;

constructor Textar.Create(_txt: string);
begin
   txt := _txt;
   inherited Create(true);
   FreeOnTerminate:=true;
end;

procedure Textar.Execute;
var i: integer;
begin
    for i := 1 to kolik do
    begin
      writeln(i, ' ', txt);
      //TThread.Sleep(10);
      TThread.Yield;
    end;
end;

var
  t1, t2: Textar;
  txt1, txt2, txt3: string;

begin
  txt1:= 'Kočka leze dírou';
  txt2:= 'Pes oknem';
  txt3:= 'Nebude-li pršet, nezmoknem';
  t1 := Textar.Create(txt1);
  t2 := Textar.Create(txt2);
  t2.Resume;
  t1.Resume;
  //t1.WaitFor;
  //t2.WaitFor;
  writeln(txt3);
  t1.Free;
  t2.Free;
end.

