program project1;

uses SysUtils, Classes, damy;

type
  TVypis = class(TThread)
     private
       resitel: TResitel;
       pocetDam: integer;
     public
       constructor Create(_pocetDam: integer);
       procedure Execute; override;
  end;

constructor TVypis.Create(_pocetDam: integer);
begin
   pocetDam:=_pocetDam;
   resitel := TResitel.Create(pocetDam);
   FreeOnTerminate:=true;
   inherited Create(false);
end;

procedure TVypis.Execute;
begin
   while resitel.NajdiDalsiReseni do
   begin
     resitel.vypis;
   end;
end;

var
  vypisovac1, vypisovac2: TVypis;

const
  pocetDam = 8;

begin
  writeln('Vypisujeme rešeni ulohy ', pocetDam, ' dam');
  Sleep(3000);
  vypisovac1 := TVypis.Create(pocetDam);
  vypisovac2 :=TVypis.Create(pocetDam);
  vypisovac1.WaitFor;
  vypisovac2.WaitFor;
end.

