unit ukoncovatel_u;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, dodavatel_u, Odberatel_u;

type
  TUkoncovatel = class(TThread)
    private
      dodavatel: TDodavatel;
      odberatel: TOdberatel;
    public
      constructor Create(_dodavatel: TDodavatel; _odberatel: TOdberatel);
      procedure Execute; override;
  end;

var
  //konec: Boolean;
  ukoncovatel: TUkoncovatel;

implementation

constructor TUkoncovatel.Create(_dodavatel: TDodavatel; _odberatel: TOdberatel);
begin
  dodavatel := _dodavatel;
  odberatel := _odberatel;
  inherited Create(false);
end;

procedure TUkoncovatel.Execute;
begin
  readln;
  dodavatel.Terminate;
  odberatel.Terminate;
end;

end.

